//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop
#include <tchar.h>
//---------------------------------------------------------------------------
USEFORM("MultiSupp\ZagrPlus.cpp", ZagrPlusForm);
USEFORM("MultiSupp\TablZagr.cpp", TablZagrForm);
USEFORM("MultiSupp\SelectMod_Param.cpp", SelectMod_ParamForm);
USEFORM("Preferences.cpp", PreferencesForm);
USEFORM("MultiSupp\CombLoad.cpp", CombLoadForm);
USEFORM("MultiSupp\BalkaLoad.cpp", BalkaLoadFrame); /* TFrame: File Type */
USEFORM("MultiSupp\RackLoad.cpp", RackLoadFrame); /* TFrame: File Type */
USEFORM("MultiSupp\OutGraphic.cpp", OutGraphicForm);
USEFORM("RichReport.cpp", RichReportForm);
USEFORM("Weld_Param.cpp", Weld_ParamForm);
USEFORM("Sect_Param_Weld.cpp", Sect_Param_WeldFrame); /* TFrame: File Type */
USEFORM("SectSelectCom_Param.cpp", SectSelectCom_ParamFrame); /* TFrame: File Type */
USEFORM("SelectProfilSect.cpp", SelectProfilSectForm);
USEFORM("Define_Material_ARSS.cpp", Define_Material_ARSSForm);
USEFORM("DefineQBal.cpp", DefineQBalForm);
USEFORM("Draw_RSU_F.cpp", Draw_RSU_Frame); /* TFrame: File Type */
USEFORM("DrawRSU.cpp", DrawRSUForm);
USEFORM("Advanced_gamma_n.cpp", Advanced_gamma_nForm);
USEFORM("Advanced_gamma_c.cpp", Advanced_gamma_cForm);
USEFORM("Add_Limit.cpp", Add_LimitForm);
USEFORM("AboutProg.cpp", AboutProgForm);
USEFORM("Help_delta_Alg_1.cpp", Help_delta_Alg_1Form);
USEFORM("Help_Algor.cpp", Help_Algor_Form);
USEFORM("HelpKoeffLength.cpp", HelpKoeffLengthForm);
USEFORM("HelpClass.cpp", HelpClassForm);
USEFORM("Help_FlexTens.cpp", Help_FlexTensForm);
USEFORM("Help_FlexComp.cpp", Help_FlexCompForm);
USEFORM("Help.cpp", HelpForm);
//---------------------------------------------------------------------------
char stroka_param[1024];

//---------------------------------------------------------------------------
int WINAPI _tWinMain(HINSTANCE, HINSTANCE, LPTSTR str_par, int)
{
	strcpy(stroka_param, str_par);
	try
	{
		Application->Initialize();
		Application->MainFormOnTaskBar = true;
		Application->CreateForm(__classid(TSelectProfilSectForm), &SelectProfilSectForm);
		Application->CreateForm(__classid(TAboutProgForm), &AboutProgForm);
		Application->CreateForm(__classid(TAdd_LimitForm), &Add_LimitForm);
		Application->CreateForm(__classid(TAdvanced_gamma_cForm), &Advanced_gamma_cForm);
		Application->CreateForm(__classid(TAdvanced_gamma_nForm), &Advanced_gamma_nForm);
		Application->CreateForm(__classid(TDefine_Material_ARSSForm), &Define_Material_ARSSForm);
		Application->CreateForm(__classid(TDefineQBalForm), &DefineQBalForm);
		Application->CreateForm(__classid(THelp_FlexCompForm), &Help_FlexCompForm);
		Application->CreateForm(__classid(THelp_FlexTensForm), &Help_FlexTensForm);
		Application->CreateForm(__classid(THelpClassForm), &HelpClassForm);
		Application->CreateForm(__classid(THelpKoeffLengthForm), &HelpKoeffLengthForm);
		Application->CreateForm(__classid(TPreferencesForm), &PreferencesForm);
		Application->CreateForm(__classid(TRichReportForm), &RichReportForm);
		Application->CreateForm(__classid(THelpForm), &HelpForm);
		Application->CreateForm(__classid(THelp_Algor_Form), &Help_Algor_Form);
		Application->CreateForm(__classid(THelp_delta_Alg_1Form), &Help_delta_Alg_1Form);
		Application->CreateForm(__classid(TDrawRSUForm), &DrawRSUForm);
		Application->CreateForm(__classid(TSelectMod_ParamForm), &SelectMod_ParamForm);
		Application->CreateForm(__classid(TOutGraphicForm), &OutGraphicForm);
		Application->CreateForm(__classid(TRackLoadFrame), &RackLoadFrame);
		Application->CreateForm(__classid(TTablZagrForm), &TablZagrForm);
		Application->CreateForm(__classid(TZagrPlusForm), &ZagrPlusForm);
		Application->CreateForm(__classid(TCombLoadForm), &CombLoadForm);
		Application->CreateForm(__classid(TWeld_ParamForm), &Weld_ParamForm);
		Application->Run();
	}
	catch (Exception &exception)
	{
		Application->ShowException(&exception);
	}
	catch (...)
	{
		try
		{
			throw Exception("");
		}
		catch (Exception &exception)
		{
			Application->ShowException(&exception);
		}
	}
	return 0;
}
//---------------------------------------------------------------------------
